search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`Configuration`.`Types``

class documentation

`class Types: (source)`

View In Hierarchy

Static class for the implementation of custom getter/setter functions for configuration keys

Static Method | `setboolean` | Sets a boolean value in the given configuration object.
Static Method | `setfloat` | Sets a float value in the given configuration object.
Static Method | `setint` | Sets an integer value in the given configuration object.

@staticmethod
def setboolean(obj, section, key, value): (source)

Sets a boolean value in the given configuration object.

Parameters
obj | a configuration object
section | the section of the value to be set
key | the key of the value to be set
value | the value itself. `0`, `false`, `no` and `off` means false, `1`, `true`, `yes` and `on` means true, everything else results in a `ValueError` being thrown. Values are case-insensitive

@staticmethod
def setfloat(obj, section, key, value): (source)

Sets a float value in the given configuration object.

Note that float values are converted to strings in the configuration object, which may lead to some precision loss.

Parameters
obj | a configuration object
section | the section of the value to be set
key | the key of the value to be set
value | the value itself.

@staticmethod
def setint(obj, section, key, value): (source)

Sets an integer value in the given configuration object.

Parameters
obj | a configuration object
section | the section of the value to be set
key | the key of the value to be set
value | the value itself.